Get runs with CU costs
Get recent workflow runs with their aggregated CU consumption
GET
/v1/organizations/{orgId}/cu/runs
Get recent workflow runs with their aggregated CU consumption
Path Parameters
orgId
string
required
path
Organization ID
Query Parameters
limit
integer
optional
query
Items per page (default: 20, max: 100)
offset
integer
optional
query
Pagination offset (default: 0)
Request Body
application/jsonResponses
200
OK
application/jsoncode
integer
data
object
hasMore
boolean
items
object[]
Array of:
finishedAt
string
runId
string
startedAt
string
status
string
Enum:
running, waiting, success, failure, cancelledtotalCu
number
triggerSource
string
workflowId
string
limit
integer
offset
integer
message
string
requestId
string
400
Bad Request
500
Internal Server Error
curl -X GET 'https://api.example.com/v1/organizations/string/cu/runs' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/cu/runs', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/string/cu/runs', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/cu/runs", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "hasMore": true, "items": [ { "finishedAt": "<string>", "runId": "<string>", "startedAt": "<string>", "status": "running", "totalCu": 123, "triggerSource": "<string>", "workflowId": "<string>" } ], "limit": 123, "offset": 123 }, "message": "successfully", "requestId": "req_abc123"}
API Playground
Try this endpoint
GET
/v1/organizations/{orgId}/cu/runs
